Makefile.in 26 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710
  1. # Makefile.in generated by automake 1.10 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. VPATH = @srcdir@
  14. pkgdatadir = $(datadir)/@PACKAGE@
  15. pkglibdir = $(libdir)/@PACKAGE@
  16. pkgincludedir = $(includedir)/@PACKAGE@
  17. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  18. install_sh_DATA = $(install_sh) -c -m 644
  19. install_sh_PROGRAM = $(install_sh) -c
  20. install_sh_SCRIPT = $(install_sh) -c
  21. INSTALL_HEADER = $(INSTALL_DATA)
  22. transform = $(program_transform_name)
  23. NORMAL_INSTALL = :
  24. PRE_INSTALL = :
  25. POST_INSTALL = :
  26. NORMAL_UNINSTALL = :
  27. PRE_UNINSTALL = :
  28. POST_UNINSTALL = :
  29. build_triplet = @build@
  30. host_triplet = @host@
  31. target_triplet = @target@
  32. subdir = test
  33. DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
  34. $(srcdir)/config.in
  35. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  36. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  37. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  38. $(ACLOCAL_M4)
  39. mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
  40. CONFIG_HEADER = $(top_builddir)/src/config.h
  41. CONFIG_CLEAN_FILES = config
  42. SOURCES =
  43. DIST_SOURCES =
  44. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  45. ACLOCAL = @ACLOCAL@
  46. AMTAR = @AMTAR@
  47. AR = @AR@
  48. AUTOCONF = @AUTOCONF@
  49. AUTOGEN = @AUTOGEN@
  50. AUTOHEADER = @AUTOHEADER@
  51. AUTOMAKE = @AUTOMAKE@
  52. AWK = @AWK@
  53. CC = @CC@
  54. CCDEPMODE = @CCDEPMODE@
  55. CFLAGS = @CFLAGS@
  56. CPP = @CPP@
  57. CPPFLAGS = @CPPFLAGS@
  58. CXX = @CXX@
  59. CXXCPP = @CXXCPP@
  60. CXXDEPMODE = @CXXDEPMODE@
  61. CXXFLAGS = @CXXFLAGS@
  62. CYGPATH_W = @CYGPATH_W@
  63. DEFS = @DEFS@
  64. DEPDIR = @DEPDIR@
  65. ECHO = @ECHO@
  66. ECHO_C = @ECHO_C@
  67. ECHO_N = @ECHO_N@
  68. ECHO_T = @ECHO_T@
  69. EGREP = @EGREP@
  70. EXEEXT = @EXEEXT@
  71. F77 = @F77@
  72. FFLAGS = @FFLAGS@
  73. GREP = @GREP@
  74. INSTALL = @INSTALL@
  75. INSTALL_DATA = @INSTALL_DATA@
  76. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  77. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  78. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  79. LDFLAGS = @LDFLAGS@
  80. LIBOBJS = @LIBOBJS@
  81. LIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
  82. LIBOPTS_DIR = @LIBOPTS_DIR@
  83. LIBOPTS_LDADD = @LIBOPTS_LDADD@
  84. LIBS = @LIBS@
  85. LIBTOOL = @LIBTOOL@
  86. LNAVLIB = @LNAVLIB@
  87. LNAV_CFLAGS = @LNAV_CFLAGS@
  88. LNETINC = @LNETINC@
  89. LNETLIB = @LNETLIB@
  90. LN_S = @LN_S@
  91. LPCAPINC = @LPCAPINC@
  92. LPCAPLIB = @LPCAPLIB@
  93. LTLIBOBJS = @LTLIBOBJS@
  94. MAINT = @MAINT@
  95. MAKEINFO = @MAKEINFO@
  96. MKDIR_P = @MKDIR_P@
  97. OBJEXT = @OBJEXT@
  98. PACKAGE = @PACKAGE@
  99. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  100. PACKAGE_NAME = @PACKAGE_NAME@
  101. PACKAGE_STRING = @PACKAGE_STRING@
  102. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  103. PACKAGE_VERSION = @PACKAGE_VERSION@
  104. PATH_SEPARATOR = @PATH_SEPARATOR@
  105. PCAP_BPF_H_FILE = @PCAP_BPF_H_FILE@
  106. PRINTF = @PRINTF@
  107. RANLIB = @RANLIB@
  108. SET_MAKE = @SET_MAKE@
  109. SHELL = @SHELL@
  110. STRIP = @STRIP@
  111. TCPREPLAY_RELEASE = @TCPREPLAY_RELEASE@
  112. TCPREPLAY_VERSION = @TCPREPLAY_VERSION@
  113. VERSION = @VERSION@
  114. abs_builddir = @abs_builddir@
  115. abs_srcdir = @abs_srcdir@
  116. abs_top_builddir = @abs_top_builddir@
  117. abs_top_srcdir = @abs_top_srcdir@
  118. ac_ct_CC = @ac_ct_CC@
  119. ac_ct_CXX = @ac_ct_CXX@
  120. ac_ct_F77 = @ac_ct_F77@
  121. am__include = @am__include@
  122. am__leading_dot = @am__leading_dot@
  123. am__quote = @am__quote@
  124. am__tar = @am__tar@
  125. am__untar = @am__untar@
  126. bindir = @bindir@
  127. build = @build@
  128. build_alias = @build_alias@
  129. build_cpu = @build_cpu@
  130. build_os = @build_os@
  131. build_vendor = @build_vendor@
  132. builddir = @builddir@
  133. datadir = @datadir@
  134. datarootdir = @datarootdir@
  135. debug_flag = @debug_flag@
  136. docdir = @docdir@
  137. dvidir = @dvidir@
  138. exec_prefix = @exec_prefix@
  139. host = @host@
  140. host_alias = @host_alias@
  141. host_cpu = @host_cpu@
  142. host_os = @host_os@
  143. host_vendor = @host_vendor@
  144. htmldir = @htmldir@
  145. includedir = @includedir@
  146. infodir = @infodir@
  147. install_sh = @install_sh@
  148. libdir = @libdir@
  149. libexecdir = @libexecdir@
  150. localedir = @localedir@
  151. localstatedir = @localstatedir@
  152. mandir = @mandir@
  153. mkdir_p = @mkdir_p@
  154. nic1 = @nic1@
  155. nic2 = @nic2@
  156. oldincludedir = @oldincludedir@
  157. pcncfg = @pcncfg@
  158. pdfdir = @pdfdir@
  159. prefix = @prefix@
  160. program_transform_name = @program_transform_name@
  161. psdir = @psdir@
  162. sbindir = @sbindir@
  163. sharedstatedir = @sharedstatedir@
  164. srcdir = @srcdir@
  165. sysconfdir = @sysconfdir@
  166. target = @target@
  167. target_alias = @target_alias@
  168. target_cpu = @target_cpu@
  169. target_os = @target_os@
  170. target_vendor = @target_vendor@
  171. td = @td@
  172. top_builddir = @top_builddir@
  173. top_srcdir = @top_srcdir@
  174. # $Id$
  175. MAKEFLAGS = -s -k
  176. HOST = @host@
  177. TARGET = @target@
  178. BUILD = @build@
  179. ENABLE_DEBUG = @debug_flag@
  180. TCPPREP = ../src/tcpprep --no-arg-comment
  181. TCPREPLAY = ../src/tcpreplay
  182. TCPREWRITE = ../src/tcprewrite
  183. TCPBRIDGE = ../src/tcpbridge
  184. EXTRA_DIST = test.pcap test.auto_bridge test.auto_client test.auto_router \
  185. test.auto_server test.cidr test.comment test.port test.mac \
  186. test.prep_config test.primary test.regex test.secondary \
  187. test.rewrite_seed test.rewrite_portmap test.rewrite_endpoint \
  188. test.rewrite_pnat test.rewrite_pad test.rewrite_trunc \
  189. test.rewrite_mac test.rewrite_layer2 test.rewrite_config \
  190. test.rewrite_skip test.rewrite_dltuser test.rewrite_dlthdlc \
  191. test.rewrite_vlandel \
  192. test2.rewrite_seed test2.rewrite_portmap test2.rewrite_endpoint \
  193. test2.rewrite_pnat test2.rewrite_pad test2.rewrite_trunc \
  194. test2.rewrite_mac test2.rewrite_layer2 test2.rewrite_config \
  195. test2.rewrite_skip test2.rewrite_dltuser test2.rewrite_dlthdlc \
  196. test2.rewrite_vlandel
  197. @WORDS_BIGENDIAN_FALSE@STANDARD_REWRITE = standard_littleendian
  198. @WORDS_BIGENDIAN_TRUE@STANDARD_REWRITE = standard_bigendian
  199. @WORDS_BIGENDIAN_FALSE@REWRITE_WARN = "little"
  200. @WORDS_BIGENDIAN_TRUE@REWRITE_WARN = "big"
  201. all: all-am
  202. .SUFFIXES:
  203. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
  204. @for dep in $?; do \
  205. case '$(am__configure_deps)' in \
  206. *$$dep*) \
  207. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
  208. && exit 0; \
  209. exit 1;; \
  210. esac; \
  211. done; \
  212. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
  213. cd $(top_srcdir) && \
  214. $(AUTOMAKE) --gnu test/Makefile
  215. .PRECIOUS: Makefile
  216. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  217. @case '$?' in \
  218. *config.status*) \
  219. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  220. *) \
  221. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  222. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  223. esac;
  224. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  225. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  226. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  227. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  228. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  229. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  230. config: $(top_builddir)/config.status $(srcdir)/config.in
  231. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  232. mostlyclean-libtool:
  233. -rm -f *.lo
  234. clean-libtool:
  235. -rm -rf .libs _libs
  236. tags: TAGS
  237. TAGS:
  238. ctags: CTAGS
  239. CTAGS:
  240. distdir: $(DISTFILES)
  241. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  242. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  243. list='$(DISTFILES)'; \
  244. dist_files=`for file in $$list; do echo $$file; done | \
  245. sed -e "s|^$$srcdirstrip/||;t" \
  246. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  247. case $$dist_files in \
  248. */*) $(MKDIR_P) `echo "$$dist_files" | \
  249. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  250. sort -u` ;; \
  251. esac; \
  252. for file in $$dist_files; do \
  253. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  254. if test -d $$d/$$file; then \
  255. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  256. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  257. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  258. fi; \
  259. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  260. else \
  261. test -f $(distdir)/$$file \
  262. || cp -p $$d/$$file $(distdir)/$$file \
  263. || exit 1; \
  264. fi; \
  265. done
  266. check-am: all-am
  267. check: check-am
  268. all-am: Makefile
  269. installdirs:
  270. install: install-am
  271. install-exec: install-exec-am
  272. install-data: install-data-am
  273. uninstall: uninstall-am
  274. install-am: all-am
  275. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  276. installcheck: installcheck-am
  277. install-strip:
  278. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  279. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  280. `test -z '$(STRIP)' || \
  281. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  282. mostlyclean-generic:
  283. clean-generic:
  284. distclean-generic:
  285. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  286. maintainer-clean-generic:
  287. @echo "This command is intended for maintainers to use"
  288. @echo "it deletes files that may require special tools to rebuild."
  289. clean-am: clean-generic clean-libtool mostlyclean-am
  290. distclean-am: clean-am distclean-generic
  291. dvi: dvi-am
  292. dvi-am:
  293. html: html-am
  294. info: info-am
  295. info-am:
  296. install-data-am:
  297. install-dvi: install-dvi-am
  298. install-exec-am:
  299. install-html: install-html-am
  300. install-info: install-info-am
  301. install-man:
  302. install-pdf: install-pdf-am
  303. install-ps: install-ps-am
  304. installcheck-am:
  305. maintainer-clean-am: distclean-am maintainer-clean-generic
  306. mostlyclean: mostlyclean-am
  307. mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  308. pdf: pdf-am
  309. pdf-am:
  310. ps: ps-am
  311. ps-am:
  312. uninstall-am:
  313. .MAKE: install-am install-strip
  314. .PHONY: all all-am check check-am clean clean-generic clean-libtool \
  315. distclean distclean-generic distclean-libtool distdir dvi \
  316. dvi-am html html-am info info-am install install-am \
  317. install-data install-data-am install-dvi install-dvi-am \
  318. install-exec install-exec-am install-html install-html-am \
  319. install-info install-info-am install-man install-pdf \
  320. install-pdf-am install-ps install-ps-am install-strip \
  321. installcheck installcheck-am installdirs maintainer-clean \
  322. maintainer-clean-generic mostlyclean mostlyclean-generic \
  323. mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
  324. test: all
  325. all: clearlog check tcpprep tcpreplay tcprewrite
  326. clearlog:
  327. -rm test.log
  328. check:
  329. $(PRINTF) "%s\n" "NOTICE: Tests must be run as root"
  330. $(PRINTF) "%s\n" "Sending traffic on '$(nic1)' and '$(nic2)'"
  331. standard: standard_prep $(STANDARD_REWRITE)
  332. $(PRINTF) "Warning: only creating %s endian standard test files\n" $(REWRITE_WARN)
  333. standard_prep:
  334. $(TCPPREP) -i test.pcap -o test.auto_router -a router
  335. $(TCPPREP) -i test.pcap -o test.auto_bridge -a bridge
  336. $(TCPPREP) -i test.pcap -o test.auto_client -a client
  337. $(TCPPREP) -i test.pcap -o test.auto_server -a server
  338. $(TCPPREP) --load-opts config -o test.prep_config
  339. $(TCPPREP) -i test.pcap -o test.port -p
  340. $(TCPPREP) -i test.pcap -o test.mac -e 00:02:3b:00:3d:ce
  341. $(TCPPREP) -i test.pcap -o test.cidr -c '216.27.178.0/24'
  342. $(TCPPREP) -i test.pcap -o test.regex -r '216.27.178.*'
  343. $(TCPPREP) -i test.pcap -o test.comment -C "This is a comment" -p
  344. standard_bigendian:
  345. $(TCPREWRITE) -i test.pcap -o test.rewrite_seed -s 55
  346. $(TCPREWRITE) -i test.pcap -o test.rewrite_portmap -r 80:8080
  347. $(TCPREWRITE) -i test.pcap -o test.rewrite_endpoint \
  348. -e 10.10.0.1:10.10.0.2 -c test.auto_router
  349. $(TCPREWRITE) -i test.pcap -o test.rewrite_pnat \
  350. -N 216.27.178.0/24:172.16.0.0/24
  351. $(TCPREWRITE) -i test.pcap -o test.rewrite_pad -F pad
  352. $(TCPREWRITE) -i test.pcap -o test.rewrite_trunc -F trunc
  353. $(TCPREWRITE) -i test.pcap -o test.rewrite_mac \
  354. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  355. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  356. $(TCPREWRITE) -i test.pcap -o test.rewrite_layer2 \
  357. --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0
  358. $(TCPREWRITE) -i test.pcap -o test.rewrite_config --enet-vlan=add --enet-vlan-tag=45 \
  359. --enet-vlan-cfi=1 --enet-vlan-pri=5
  360. $(TCPREWRITE) -i test.pcap -o test.rewrite_skip -b -s 55 \
  361. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  362. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  363. $(TCPREWRITE) -i test.pcap -o test.rewrite_dltuser --dlt=user \
  364. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104
  365. $(TCPREWRITE) -i test.pcap -o test.rewrite_dlthdlc --dlt=hdlc \
  366. --hdlc-control=0 --hdlc-address=0x0F
  367. $(TCPREWRITE) -i test.rewrite_config -o test.rewrite_vlandel \
  368. --enet-vlan=del
  369. standard_littleendian:
  370. $(TCPREWRITE) -i test.pcap -o test2.rewrite_seed -s 55
  371. $(TCPREWRITE) -i test.pcap -o test2.rewrite_portmap -r 80:8080
  372. $(TCPREWRITE) -i test.pcap -o test2.rewrite_endpoint \
  373. -e 10.10.0.1:10.10.0.2 -c test.auto_router
  374. $(TCPREWRITE) -i test.pcap -o test2.rewrite_pnat \
  375. -N 216.27.178.0/24:172.16.0.0/24
  376. $(TCPREWRITE) -i test.pcap -o test2.rewrite_pad -F pad
  377. $(TCPREWRITE) -i test.pcap -o test2.rewrite_trunc -F trunc
  378. $(TCPREWRITE) -i test.pcap -o test2.rewrite_mac \
  379. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  380. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  381. $(TCPREWRITE) -i test.pcap -o test2.rewrite_layer2 \
  382. --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0
  383. $(TCPREWRITE) -i test.pcap -o test2.rewrite_config --enet-vlan=add --enet-vlan-tag=45 \
  384. --enet-vlan-cfi=1 --enet-vlan-pri=5
  385. $(TCPREWRITE) -i test.pcap -o test2.rewrite_skip -b -s 55 \
  386. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  387. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  388. $(TCPREWRITE) -i test.pcap -o test2.rewrite_dltuser --dlt=user \
  389. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104
  390. $(TCPREWRITE) -i test.pcap -o test2.rewrite_dlthdlc --dlt=hdlc \
  391. --hdlc-control=0 --hdlc-address=0x0F
  392. $(TCPREWRITE) -i test.rewrite_config -o test2.rewrite_vlandel \
  393. --enet-vlan=del
  394. tcpprep: auto_router auto_bridge auto_client auto_server cidr regex port \
  395. mac comment print_info print_comment prep_config
  396. tcprewrite: rewrite_portmap rewrite_endpoint rewrite_pnat rewrite_trunc \
  397. rewrite_pad rewrite_seed rewrite_mac rewrite_layer2 rewrite_config \
  398. rewrite_skip rewrite_dltuser rewrite_dlthdlc rewrite_vlandel
  399. tcpreplay: replay_basic replay_cache replay_pps replay_rate replay_top \
  400. replay_config replay_multi replay_accurate
  401. prep_config:
  402. $(PRINTF) "%s" "[tcpprep] Config mode test: "
  403. $(PRINTF) "%s\n" "*** [tcpprep] Config mode test: " >>test.log
  404. $(TCPPREP) $(ENABLE_DEBUG) --load-opts=config -o test.$@1 2>>test.log
  405. diff test.$@ test.$@1 >>test.log 2>&1
  406. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  407. auto_router:
  408. $(PRINTF) "%s" "[tcpprep] Auto/Router mode test: "
  409. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Router mode test: " >>test.log
  410. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a router 2>>test.log
  411. diff test.$@ test.$@1 >>test.log 2>&1
  412. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  413. auto_bridge:
  414. $(PRINTF) "%s" "[tcpprep] Auto/Bridge mode test: "
  415. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Bridge mode test: " >>test.log
  416. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a bridge 2>>test.log
  417. diff test.$@ test.$@1 >>test.log 2>&1
  418. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  419. auto_client:
  420. $(PRINTF) "%s" "[tcpprep] Auto/Client mode test: "
  421. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Client mode test: " >>test.log
  422. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a client 2>>test.log
  423. diff test.$@ test.$@1 >>test.log 2>&1
  424. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  425. auto_server:
  426. $(PRINTF) "%s" "[tcpprep] Auto/Server mode test: "
  427. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Server mode test: " >>test.log
  428. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a server 2>>test.log
  429. diff test.$@ test.$@1 >>test.log 2>&1
  430. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  431. regex:
  432. $(PRINTF) "%s" "[tcpprep] Regex mode test: "
  433. $(PRINTF) "%s\n" "*** [tcpprep] Regex mode test: " >>test.log
  434. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -r '216.27.178.*' 2>>test.log
  435. diff test.$@ test.$@1 >>test.log 2>&1
  436. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  437. cidr:
  438. $(PRINTF) "%s" "[tcpprep] CIDR mode test: "
  439. $(PRINTF) "%s\n" "*** [tcpprep] CIDR mode test: " >>test.log
  440. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -c '216.27.178.0/24' 2>>test.log
  441. diff test.$@ test.$@1 >>test.log 2>&1
  442. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  443. port:
  444. $(PRINTF) "%s" "[tcpprep] Port mode test: "
  445. $(PRINTF) "%s\n" "*** [tcpprep] Port mode test: " >>test.log
  446. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -p 2>>test.log
  447. diff test.$@ test.$@1 >>test.log 2>&1
  448. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  449. mac:
  450. $(PRINTF) "%s" "[tcpprep] MAC mode test: "
  451. $(PRINTF) "%s\n" "*** [tcpprep] MAC mode test: " >>test.log
  452. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -e 00:02:3b:00:3d:ce 2>>test.log
  453. diff test.$@ test.$@1 >>test.log 2>&1
  454. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  455. comment:
  456. $(PRINTF) "%s" "[tcpprep] Comment mode test: "
  457. $(PRINTF) "%s\n" "*** [tcpprep] Comment mode test: " >>test.log
  458. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -C "This is a comment" -p 2>>test.log
  459. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  460. print_comment:
  461. $(PRINTF) "%s" "[tcpprep] Print comment mode test: "
  462. $(PRINTF) "%s\n" "*** [tcpprep] Print comment mode test: " >>test.log
  463. $(TCPPREP) $(ENABLE_DEBUG) -P test.comment >test.$@1 2>>test.log
  464. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  465. print_info:
  466. $(PRINTF) "%s" "[tcpprep] Print info mode test: "
  467. $(PRINTF) "%s\n" "*** [tcpprep] Print info mode test: " >>test.log
  468. $(TCPPREP) $(ENABLE_DEBUG) -I test.comment >test.$@1 2>>test.log
  469. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  470. replay_basic:
  471. $(PRINTF) "%s" "[tcpreplay] Basic test: "
  472. $(PRINTF) "%s\n" "*** [tcpreplay] Basic test: " >>test.log
  473. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -t test.pcap >>test.log 2>&1
  474. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  475. replay_cache:
  476. $(PRINTF) "%s" "[tcpreplay] Cache test: "
  477. $(PRINTF) "%s\n" "*** [tcpreplay] Cache test: " >>test.log
  478. $(TCPREPLAY) $(ENABLE_DEBUG) -c test.cidr -i $(nic1) -I $(nic2) -t test.pcap >>test.log 2>&1
  479. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  480. replay_accurate:
  481. $(PRINTF) "%s" "[tcpreplay] Accurate test: "
  482. $(PRINTF) "%s\n" "*** [tcpreplay] Accurate test: " >>test.log
  483. $(TCPREPLAY) $(ENABLE_DEBUG) -a -i $(nic1) test.pcap >>test.log 2>&1
  484. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  485. rewrite_portmap:
  486. $(PRINTF) "%s" "[tcprewrite] Portmap test: "
  487. $(PRINTF) "%s\n" "*** [tcprewrite] Portmap test: " >>test.log
  488. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_portmap1 -r 80:8080 >>test.log 2>&1
  489. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  490. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  491. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  492. rewrite_endpoint:
  493. $(PRINTF) "%s" "[tcprewrite] Endpoint test: "
  494. $(PRINTF) "%s\n" "*** [tcprewrite] Endpoint test: " >>test.log
  495. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_endpoint1 -e 10.10.0.1:10.10.0.2 -c test.auto_router
  496. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  497. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  498. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  499. rewrite_pnat:
  500. $(PRINTF) "%s" "[tcprewrite] Pseudo NAT test: "
  501. $(PRINTF) "%s\n" "*** [tcprewrite] Pseudo NAT test: " >>test.log
  502. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_pnat1 -N 216.27.178.0/24:172.16.0.0/24
  503. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  504. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  505. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  506. rewrite_mac:
  507. $(PRINTF) "%s" "[tcprewrite] Src/Dst MAC test: "
  508. $(PRINTF) "%s\n" "*** [tcprewrite] Src/Dst MAC test: " >>test.log
  509. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_mac1 \
  510. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  511. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  512. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  513. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  514. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  515. rewrite_trunc:
  516. $(PRINTF) "%s" "[tcprewrite] Truncate test: "
  517. $(PRINTF) "%s\n" "*** [tcprewrite] Truncate test: " >>test.log
  518. $(TCPREWRITE) $(ENABLE_DEBUG) -F trunc -i test.pcap -o test.rewrite_trunc1 >>test.log 2>&1
  519. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  520. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  521. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  522. rewrite_pad:
  523. $(PRINTF) "%s" "[tcprewrite] Pad test: "
  524. $(PRINTF) "%s\n" "*** [tcprewrite] Pad test: " >>test.log
  525. $(TCPREWRITE) $(ENABLE_DEBUG) -F pad -i test.pcap -o test.rewrite_pad1 >>test.log 2>&1
  526. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  527. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  528. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  529. rewrite_seed:
  530. $(PRINTF) "%s" "[tcprewrite] Seed IP test: "
  531. $(PRINTF) "%s\n" "*** [tcprewrite] Seed IP test: " >>test.log
  532. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_seed1 -s 55 >>test.log 2>&1
  533. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  534. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  535. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  536. rewrite_layer2:
  537. $(PRINTF) "%s" "[tcprewrite] Layer2 test: "
  538. $(PRINTF) "%s\n" "*** [tcprewrite] Layer2 test: " >>test.log
  539. $(TCPREWRITE) $(ENABLE_DEBUG) --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0 \
  540. -i test.pcap -o test.rewrite_layer21 >>test.log 2>&1
  541. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  542. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  543. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  544. rewrite_config:
  545. $(PRINTF) "%s" "[tcprewrite] Config/VLAN Add test: "
  546. $(PRINTF) "%s\n" "*** [tcprewrite] Config/VLAN Add test: " >>test.log
  547. $(TCPREWRITE) -i test.pcap -o test.rewrite_config1 --load-opts config
  548. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  549. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  550. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  551. rewrite_skip:
  552. $(PRINTF) "%s" "[tcprewrite] Skip bcast test: "
  553. $(PRINTF) "%s\n" "*** [tcprewrite] Skip bcast test: " >>test.log
  554. $(TCPREWRITE) -i test.pcap -o test.rewrite_skip1 -b -s 55 \
  555. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  556. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  557. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  558. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  559. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  560. rewrite_dltuser:
  561. $(PRINTF) "%s" "[tcprewrite] DLT User test: "
  562. $(PRINTF) "%s\n" "*** [tcprewrite] DLT User test: " >>test.log
  563. $(TCPREWRITE) -i test.pcap -o test.rewrite_dltuser1 --dlt=user \
  564. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104
  565. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  566. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  567. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  568. rewrite_dlthdlc:
  569. $(PRINTF) "%s" "[tcprewrite] DLT Cisco HDLC test: "
  570. $(PRINTF) "%s\n" "*** [tcprewrite] DLT Cisco HDLC test: " >>test.log
  571. $(TCPREWRITE) -i test.pcap -o test.rewrite_dlthdlc1 --dlt=hdlc \
  572. --hdlc-control=0 --hdlc-address=0x0F
  573. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  574. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  575. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  576. rewrite_vlandel:
  577. $(PRINTF) "%s" "[tcprewrite] VLAN Delete test: "
  578. $(PRINTF) "%s\n" "*** [tcprewrite] VLAN Delete test: " >>test.log
  579. $(TCPREWRITE) -i test.rewrite_config -o test.rewrite_vlandel1 \
  580. --enet-vlan=del
  581. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  582. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  583. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  584. replay_pps:
  585. $(PRINTF) "%s" "[tcpreplay] Packets/sec test: "
  586. $(PRINTF) "%s\n" "*** [tcpreplay] Packets/sec test: " >>test.log
  587. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -p 25 test.pcap >>test.log 2>&1
  588. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  589. replay_rate:
  590. $(PRINTF) "%s" "[tcpreplay] Mbps test: "
  591. $(PRINTF) "%s\n" "*** [tcpreplay] Mbps test: " >>test.log
  592. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -M 25.0 test.pcap >>test.log 2>&1
  593. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  594. replay_multi:
  595. $(PRINTF) "%s" "[tcpreplay] Multiplier test: "
  596. $(PRINTF) "%s\n" "*** [tcpreplay] Multiplier test: " >>test.log
  597. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -m 25.0 test.pcap >>test.log 2>&1
  598. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  599. replay_top:
  600. $(PRINTF) "%s" "[tcpreplay] Topspeed test: "
  601. $(PRINTF) "%s\n" "*** [tcpreplay] Topspeed test: " >>test.log
  602. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -t test.pcap >>test.log 2>&1
  603. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  604. datadump_mode:
  605. $(PRINTF) "%s" "[tcpreplay] Data dump test: "
  606. $(PRINTF) "%s\n" "*** [tcpreplay] Data dump mode test: " >>test.log
  607. $(TCPREPLAY) $(ENABLE_DEBUG) -D -i $(nic1) -j $(nic2) -w primary.data -W secondary.data -c test.cidr -R test.pcap >>test.log 2>&1
  608. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  609. replay_config:
  610. $(PRINTF) "%s" "[tcpreplay] Config file/VLAN add test: "
  611. $(PRINTF) "%s\n" "*** [tcpreplay] Config file/VLAN add test: " >>test.log
  612. $(TCPREPLAY) $(ENABLE_DEBUG) --load-opts=config test.pcap >>test.log 2>&1
  613. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  614. clean:
  615. rm -f *1 test.log core* *~ primary.data secondary.data
  616. distclean: clean
  617. rm -f Makefile config
  618. maintainer-clean: distclean
  619. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  620. # Otherwise a system limit (for SysV at least) may be exceeded.
  621. .NOEXPORT: